Upgrading

From Geoqo
(Difference between revisions)
Jump to: navigation, search
(Building and installing)
(Other Operating)
 
(5 intermediate revisions by one user not shown)
Line 1: Line 1:
 +
== Prepare for an upgrade of GeoQO==
 +
 +
These instructions assume you have already [[Installation Help|installed]] GeoQO before and merely want to upgrade to the latest and greatest (currently version {{VER}}).
 +
 
=== Maybe do a backup ===
 
=== Maybe do a backup ===
  
Line 5: Line 9:
 
   cp $[[HOME]]/.geoqo/dbs/geoqo $[[HOME]]/.geoqo/dbs/geoqo.bak
 
   cp $[[HOME]]/.geoqo/dbs/geoqo $[[HOME]]/.geoqo/dbs/geoqo.bak
  
=== Extracting the source ===
+
== Upgrade GeoQO ==
 +
 
 +
=== Windows Instructions ===
 +
 
 +
Double click on the '''INSTALL-WINDOWS.pl''' icon and let it do everything for you.  You can stop reading this page after it finishes.
 +
 
 +
=== Other Operating Systems ===
 +
 
 +
==== Extracting the source ====
  
 
Then, get the new source package and extract it (in this example, we'll assume command line zip):
 
Then, get the new source package and extract it (in this example, we'll assume command line zip):
  
   unzip geoqo-0.5.zip
+
   unzip geoqo-{{VER}}.zip
  
=== Building and installing ===
+
==== Checking for new needed modules ====
 +
 
 +
It's possible that new perl modules are needed or may be desired in order to support some newer features available in the new version.  You can check this by running the
 +
check-prerequisites.pl script:
 +
 
 +
  perl check-prerequisites.pl
 +
 
 +
And following it's instructions (or if you're on windows you may wish to use PPM to search for some of those modules).
 +
 
 +
==== Building and installing ====
  
 
Then build it:
 
Then build it:
Line 19: Line 40:
 
   make
 
   make
 
   make install
 
   make install
 
On windows, you need to use [[nmake]] instead:
 
 
  cd geoqo-{{VER}}
 
  perl Makefile.PL
 
  nmake
 
  nmake install
 

Latest revision as of 05:38, 13 October 2007

Contents

Prepare for an upgrade of GeoQO

These instructions assume you have already installed GeoQO before and merely want to upgrade to the latest and greatest (currently version 1.11).

Maybe do a backup

If you need to upgrade geoqo from a previous version, you may want to first back up your default database:

 cp $HOME/.geoqo/dbs/geoqo $HOME/.geoqo/dbs/geoqo.bak

Upgrade GeoQO

Windows Instructions

Double click on the INSTALL-WINDOWS.pl icon and let it do everything for you. You can stop reading this page after it finishes.

Other Operating Systems

Extracting the source

Then, get the new source package and extract it (in this example, we'll assume command line zip):

 unzip geoqo-1.11.zip

Checking for new needed modules

It's possible that new perl modules are needed or may be desired in order to support some newer features available in the new version. You can check this by running the check-prerequisites.pl script:

 perl check-prerequisites.pl

And following it's instructions (or if you're on windows you may wish to use PPM to search for some of those modules).

Building and installing

Then build it:

 cd geoqo-1.11
 perl Makefile.PL
 make
 make install
Personal tools